%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-traitlets
Version:       5.14.3
Release:       1mamba
Summary:       A lightweight, simple, pure Python derivative of Enthought Traits
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ipython/traitlets
Source:        https://pypi.debian.net/traitlets/traitlets-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python-hatchling-py3

%description
This Python module is designed to provide a lightweight, simple, pure Python version of many of the capabilities of enthought.traits.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n traitlets-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Fri Apr 19 2024 Automatic Build System <autodist@openmamba.org> 5.14.3-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 5.14.2-1mamba
- automatic version update by autodist

* Tue Jan 02 2024 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Tue Nov 28 2023 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Mon Oct 30 2023 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Wed Oct 25 2023 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Oct 04 2023 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic version update by autodist

* Tue Oct 03 2023 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 5.10.1-1mamba
- automatic version update by autodist

* Wed Apr 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-2mamba
- rebuilt with python 3.10

* Tue Jan 31 2023 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Tue Jan 10 2023 Automatic Build System <autodist@mambasoft.it> 5.8.1-1mamba
- automatic version update by autodist

* Mon Dec 19 2022 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Tue Dec 13 2022 Automatic Build System <autodist@mambasoft.it> 5.7.1-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Wed Nov 30 2022 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Wed Oct 19 2022 Automatic Build System <autodist@mambasoft.it> 5.5.0-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Automatic Build System <autodist@mambasoft.it> 5.4.0-1mamba
- automatic version update by autodist

* Tue Oct 26 2021 Automatic Build System <autodist@mambasoft.it> 5.1.1-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.5-2mamba
- rebuilt with distdeps

* Wed Jan 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.5-1mamba
- update to 5.0.5

* Tue Oct 22 2019 Automatic Build System <autodist@mambasoft.it> 4.3.3-1mamba
- automatic version update by autodist

* Mon Mar 06 2017 Automatic Build System <autodist@mambasoft.it> 4.3.2-1mamba
- automatic version update by autodist

* Sun Oct 16 2016 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Sat Jan 23 2016 Davide Madrisan <davide.madrisan@gmail.com> 4.1.0-1mamba
- package created using the webbuild interface
